package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * ModelFwOemReleaseNoteInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ModelFwOemReleaseNoteInfo   {
  @JsonProperty("releaseNotes")
  @Valid
  private List<ModelFwVersionReleaseNoteInfo> releaseNotes = null;

  public ModelFwOemReleaseNoteInfo releaseNotes(List<ModelFwVersionReleaseNoteInfo> releaseNotes) {
    this.releaseNotes = releaseNotes;
    return this;
  }

  public ModelFwOemReleaseNoteInfo addReleaseNotesItem(ModelFwVersionReleaseNoteInfo releaseNotesItem) {
    if (this.releaseNotes == null) {
      this.releaseNotes = new ArrayList<>();
    }
    this.releaseNotes.add(releaseNotesItem);
    return this;
  }

  /**
   * Release Notes information for a firmware series
   * @return releaseNotes
  */
  @ApiModelProperty(value = "Release Notes information for a firmware series")

  @Valid

  public List<ModelFwVersionReleaseNoteInfo> getReleaseNotes() {
    return releaseNotes;
  }

  public void setReleaseNotes(List<ModelFwVersionReleaseNoteInfo> releaseNotes) {
    this.releaseNotes = releaseNotes;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModelFwOemReleaseNoteInfo modelFwOemReleaseNoteInfo = (ModelFwOemReleaseNoteInfo) o;
    return Objects.equals(this.releaseNotes, modelFwOemReleaseNoteInfo.releaseNotes);
  }

  @Override
  public int hashCode() {
    return Objects.hash(releaseNotes);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModelFwOemReleaseNoteInfo {\n");
    
    sb.append("    releaseNotes: ").append(toIndentedString(releaseNotes)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

